SystemOrganization addCategory: #'Tp1-isw2'!

WebApplication subclass: #LoginWebApplication
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tp1-isw2'!

!LoginWebApplication methodsFor: 'as yet unclassified' stamp: 'LucasGodoy 5/6/2012 17:46'!
viewMain
	| mainElement loginForm userInputField passwordInputField |
	mainElement := WebElement new.
	mainElement addTextH1: 'Car Polling'.
	
	loginForm := WebForm new.
	userInputField := WebInputField new.
	passwordInputField := WebInputField new.
	passwordInputField password.
	
	loginForm add: userInputField.
	loginForm add: passwordInputField.
	
	mainElement add: loginForm.
	mainElement addButtonText: 'Login'.
	
	self style pageFrameWith: mainElement title: 'Login'.! !

Object subclass: #AdministradorDeViajes
	instanceVariableNames: 'viajes matchingMaker validadores'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tp1-isw2'!

AdministradorDeViajes class
	instanceVariableNames: 'viajes'!

AdministradorDeViajes class
	instanceVariableNames: 'viajes'!

!AdministradorDeViajes methodsFor: 'as yet unclassified' stamp: 'Miguel 5/5/2012 17:36'!
matchingMaker
	^ matchingMaker! !

!AdministradorDeViajes methodsFor: 'as yet unclassified' stamp: 'Miguel 5/5/2012 17:36'!
validadores
	^ validadores! !

!AdministradorDeViajes methodsFor: 'as yet unclassified' stamp: 'Miguel 5/5/2012 17:35'!
viajes
	^ viajes! !

Object subclass: #Email
	instanceVariableNames: 'direccion'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tp1-isw2'!

!Email methodsFor: 'as yet unclassified' stamp: 'Miguel 5/5/2012 17:47'!
direccion
	^direccion! !

Object subclass: #Localidad
	instanceVariableNames: 'zona nombre'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tp1-isw2'!

!Localidad methodsFor: 'as yet unclassified' stamp: 'Miguel 5/5/2012 17:48'!
nombre
	^nombre! !

!Localidad methodsFor: 'as yet unclassified' stamp: 'Miguel 5/5/2012 17:48'!
zona
	^zona! !

Object subclass: #MatchingDiario
	instanceVariableNames: 'viajesDiarios'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tp1-isw2'!

!MatchingDiario methodsFor: 'as yet unclassified' stamp: 'Miguel 5/5/2012 18:19'!
participantes
	| participantes |
	participantes := Set new.
	viajesDiarios do: [ :each | participantes add: (each responsable)].
	^participantes! !

!MatchingDiario methodsFor: 'as yet unclassified' stamp: 'Miguel 5/5/2012 18:14'!
viajesDiarios
	^viajesDiarios! !

Object subclass: #MatchingSemanal
	instanceVariableNames: 'matchingsDiarios'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tp1-isw2'!

!MatchingSemanal methodsFor: 'as yet unclassified' stamp: 'Miguel 5/5/2012 18:13'!
matchingsDiarios
	^matchingsDiarios! !

Object subclass: #RealizadorDeMatching
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tp1-isw2'!

!RealizadorDeMatching methodsFor: 'as yet unclassified' stamp: 'Miguel 5/5/2012 18:12'!
hacerMatching: viajes
	self shouldBeImplemented ! !

Object subclass: #Recorrido
	instanceVariableNames: 'llegada salida'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tp1-isw2'!

!Recorrido methodsFor: 'as yet unclassified' stamp: 'Miguel 5/5/2012 17:51'!
llegada
	^llegada! !

!Recorrido methodsFor: 'as yet unclassified' stamp: 'Miguel 5/5/2012 17:51'!
salida
	^salida! !

Object subclass: #ValidadorDeViaje
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tp1-isw2'!

ValidadorDeViaje subclass: #ValidadorDeDistanciaMinima
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tp1-isw2'!

!ValidadorDeDistanciaMinima methodsFor: 'as yet unclassified' stamp: 'Miguel 5/5/2012 17:53'!
validar: unViaje
	^ (unViaje recorrido salida zona) <> (unViaje recorrido llegada zona). ! !

!ValidadorDeViaje methodsFor: 'as yet unclassified' stamp: 'Miguel 5/5/2012 17:40'!
validar: unViaje
	self subclassResponsibility! !

Object subclass: #Vehiculo
	instanceVariableNames: 'cantidadDeLugares'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tp1-isw2'!

!Vehiculo methodsFor: 'as yet unclassified' stamp: 'Miguel 5/5/2012 17:45'!
cantidadDeLugares
	^cantidadDeLugares! !

Object subclass: #ViajeDiario
	instanceVariableNames: 'recorrido dia horarioDeSalida horarioDeLlegada'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tp1-isw2'!

!ViajeDiario methodsFor: 'as yet unclassified' stamp: 'Miguel 5/5/2012 17:54'!
dia
	^dia! !

!ViajeDiario methodsFor: 'as yet unclassified' stamp: 'Miguel 5/5/2012 17:56'!
horarioDeLlegada
	^horarioDeLlegada! !

!ViajeDiario methodsFor: 'as yet unclassified' stamp: 'Miguel 5/5/2012 17:56'!
horarioDeSalida
	^horarioDeSalida! !

!ViajeDiario methodsFor: 'as yet unclassified' stamp: 'Miguel 5/5/2012 17:53'!
recorrido
	^recorrido! !

Object subclass: #ViajeSemanal
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tp1-isw2'!

!ViajeSemanal methodsFor: 'as yet unclassified' stamp: 'Miguel 5/5/2012 17:41'!
responsable
	self subclassResponsibility! !

!ViajeSemanal methodsFor: 'as yet unclassified' stamp: 'Miguel 5/5/2012 17:41'!
semana
	self subclassResponsibility! !

ViajeSemanal subclass: #ViajeSemanalConVehiculo
	instanceVariableNames: 'vehiculo'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tp1-isw2'!

!ViajeSemanalConVehiculo methodsFor: 'as yet unclassified' stamp: 'Miguel 5/5/2012 17:42'!
responsable
	self shouldBeImplemented! !

!ViajeSemanalConVehiculo methodsFor: 'as yet unclassified' stamp: 'Miguel 5/5/2012 17:42'!
semana
	self shouldBeImplemented! !

!ViajeSemanalConVehiculo methodsFor: 'as yet unclassified' stamp: 'Miguel 5/5/2012 17:45'!
vehiculo
	^ vehiculo! !

!ViajeSemanalConVehiculo methodsFor: 'as yet unclassified' stamp: 'Miguel 5/5/2012 17:43'!
vehiculo: unVehiculo
	vehiculo := unVehiculo.! !

ViajeSemanal subclass: #ViajeSemanalSinVehiculo
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tp1-isw2'!

!ViajeSemanalSinVehiculo methodsFor: 'as yet unclassified' stamp: 'Miguel 5/5/2012 17:42'!
responsable
	self shouldBeImplemented! !

!ViajeSemanalSinVehiculo methodsFor: 'as yet unclassified' stamp: 'Miguel 5/5/2012 17:42'!
semana
	self shouldBeImplemented! !

Object subclass: #Zona
	instanceVariableNames: 'nombre'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Tp1-isw2'!

!Zona methodsFor: 'as yet unclassified' stamp: 'Miguel 5/5/2012 17:48'!
nombre
	^nombre! !
